%global module manatools

Name:           python-%{module}
Version:        0.0.4
Release:        %mkrel 7
Group:          Development/Python
Summary:        A python framework to build ManaTools application
License:        LGPLv2+
URL:            https://github.com/manatools/python-manatools
Source0:        https://github.com/manatools/python-manatools/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
Python ManaTools starts from the experience of tools and framework
written in Perl, since most systemd and dbus API are python based
instead a this way seemed to be natural.

Python ManaTools aim is to help in writing tools based on libYui
(Suse widget abstraction library), to be collected under the same
ManaTool hat and hopefully with the same look and feel.

Every output modules can of course be run using QT, Gtk or ncurses
interface.

%package -n python3-%{module}
Summary:        A python framework to build ManaTools application
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-yui
%{?python_provide:%python_provide python3-%{module}}
Requires:       python3-yui

%description -n python3-%{module}
Python ManaTools starts from the experience of tools and framework
written in Perl, since most systemd and dbus API are python based
instead a this way seemed to be natural.

Python ManaTools aim is to help in writing tools based on libYui
(Suse widget abstraction library), to be collected under the same
ManaTool hat and hopefully with the same look and feel.

Every output modules can of course be run using QT, Gtk or ncurses
interface.

%prep
%autosetup -p1

sed -i 's|0.0.1|%{version}|' manatools/version.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc README.md NEWS
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/python_manatools-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.0.4-7.mga10
+ Revision: 2242497
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 0.0.4-6.mga10
+ Revision: 2159814
- rebuild for python3.13

* Thu Dec 28 2023 tv <tv> 0.0.4-5.mga10
+ Revision: 2022994
- Rebuild for python-3.12

* Thu Dec 28 2023 daviddavid <daviddavid> 0.0.4-4.mga10
+ Revision: 2022841
- rebuild for py3.12

* Fri Nov 25 2022 daviddavid <daviddavid> 0.0.4-3.mga9
+ Revision: 1910944
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.0.4-2.mga9
+ Revision: 1774757
- Rebuild for python-3.10

* Sun Oct 24 2021 anaselli <anaselli> 0.0.4-1.mga9
+ Revision: 1752790
- new version 0.0.4

* Sun Mar 21 2021 daviddavid <daviddavid> 0.0.3-2.mga9
+ Revision: 1706613
- rebuild for python 3.9

* Sat Jun 27 2020 anaselli <anaselli> 0.0.3-1.mga8
+ Revision: 1599537
- fixed upstream package version

* Sat Jun 27 2020 daviddavid <daviddavid> 0.0.2-1.mga8
+ Revision: 1599514
- new version: 0.0.2

* Sun Jun 07 2020 daviddavid <daviddavid> 0.0.1-2.mga8
+ Revision: 1590889
- add patch to fix dependencies

* Sun Jun 07 2020 daviddavid <daviddavid> 0.0.1-1.mga8
+ Revision: 1590825
- new version: 0.0.1

* Fri Jun 05 2020 daviddavid <daviddavid> 0.1-1.mga8
+ Revision: 1590565
- initial package python-manatools

